legesis docs
Api reference

Get envelope download url

Returns a short-lived presigned URL for the signed (or original) PDF. The internal storage key is intentionally not part of the response.

GET/workspaces/{workspaceId}/envelopes/{envelopeId}/download
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/workspaces/{workspaceId}/envelopes/{envelopeId}/download"
{
  "success": true,
  "statusCode": 100,
  "message": "string",
  "details": "string",
  "timestamp": "2019-08-24T14:15:22Z",
  "path": "string",
  "responseTime": "string",
  "meta": {
    "currentPage": 1,
    "totalPages": 1,
    "totalItems": 0,
    "itemsPerPage": 1
  },
  "data": {
    "downloadUrl": "http://example.com",
    "title": "string",
    "status": "DRAFT"
  }
}
Empty
Empty
Empty